Summary: Pentax PocketJet Printer Driver

Name: pentaxpj
Version: 1.0.0

Release: alt1
License: GPL
Group: Publishing

Packager: Stanislav Ievlev <inger@altlinux.org>

URL: http://www.pragana.net/gdiprinters.html
Source:	http://www.pragana.net/%name-%version.tar
Patch: pentaxpj-1.0.0-alt-no-bwidget.patch
Requires: bwidget

%description
Pentax PocketJet Printer Driver for the families:

 o PocketJet II
 o PocketJet 200.

%prep

%setup -q
%patch -p1

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

%build

%make CFLAGS="%optflags -DLONG_FORM_FEED"

%install

%__install -d %buildroot%_bindir
%__install -d %buildroot%_sbindir
%__install -d %buildroot%_libdir/%name
%__install -d %buildroot%_sysconfdir

cp -a pentaxpj pentaxpj_sh pentaxsetup test-page.ps.gz %buildroot%_libdir/%name

ln -s %_libdir/%name/pentaxsetup %buildroot%_sbindir
ln -s %_libdir/%name/pentaxpj %buildroot%_bindir
cat > %buildroot%_sysconfdir/pentaxpj.conf <<EOF
#
set settings(driverpath) %_libdir/%name
EOF

%files
%doc README
%_libdir/%name
%config(noreplace) %_sysconfdir/%name.conf
%_bindir/*
%_sbindir/*


%changelog
* Wed Nov 07 2007 Stanislav Ievlev <inger@altlinux.org> 1.0.0-alt1
- Initial build

